jQuery(function(jQuery) {
     
     // custom image button
    jQuery(document).on("click",".custom_upload_image_button",function(e) { 
        formfield = jQuery(this).siblings('.custom_upload_image');
        preview = jQuery(this).siblings('.custom_preview_image');
        tb_show('', 'media-upload.php?type=image&TB_iframe=true');
        /*window.send_to_editor = function(html) {
            imgurl = jQuery('img',html).attr('src');
            console.log(imgurl);
            classes = jQuery('img', html).attr('class');
            id = classes.replace(/(.*?)wp-image-/, '');
            formfield.val(id);
            preview.attr('src', imgurl);
            tb_remove();
        }*/
        window.send_to_editor = function(stuff) {

            //console.log(stuff);

            var data = jQuery(stuff).filter('img');

            //console.log(data);

            imgurl = data.attr("src");

            //console.log(imgurl);

            classes = data.attr("class");

            //console.log(classes);

            id = classes.replace(/(.*?)wp-image-/, '');

            formfield.val(id);

            preview.attr('src', imgurl);

            tb_remove();

        }
        return false;
    });
     
    jQuery(document).on("click",".custom_clear_image_button",function(e) {
        var defaultImage = jQuery(this).parent().siblings('.custom_default_image').text();
        jQuery(this).parent().siblings('.custom_upload_image').val('');
        jQuery(this).parent().siblings('.custom_preview_image').attr('src', defaultImage);
        return false;
    });
 
    // repeatable field
    jQuery(document).on("click",".repeatable-add",function(e) {
        console.log("he");
        field = jQuery(this).closest('td').find('.custom_repeatable li:last').clone(true);
        fieldLocation = jQuery(this).closest('td').find('.custom_repeatable li:last');
        console.log(field);
        jQuery('input', field).val('').attr('name', function(index, name) {
            return name.replace(/(\d+)/, function(fullMatch, n) {
                return Number(n) + 1;
            });
        })
        jQuery('a.media', field).addClass("addnew").html('<span class="add">Fill Attachment id below:</span>').attr('href', function(index, name) {
            return "#";
        })


        field.insertAfter(fieldLocation, jQuery(this).closest('td'))
        return false;
    });
    
    jQuery(document).on("click",".repeatable-remove",function(e) {
        jQuery(this).parent().remove();
        return false;
    });
         
    if(jQuery(".custom_repeatable").length){
       jQuery('.custom_repeatable').sortable({
            opacity: 0.6,
            revert: true,
            cursor: 'move',
            handle: '.sort'
        }); 
    }     
    


    // rcomment field
    jQuery(document).on("click",".rcomment-add",function(e) {
        //console.log("he");
        field = jQuery(this).closest('td').find('.custom_rcomment li:last').clone(true);
        fieldLocation = jQuery(this).closest('td').find('.custom_rcomment li:last');
        console.log(field);
        jQuery('input', field).val('').attr('name', function(index, name) {
            return name.replace(/(\d+)/, function(fullMatch, n) {
                return jQuery("textarea[role='comment-text']").length + 1;
            });
        });
        jQuery('textarea', field).val('').attr('name', function(index, name) {
            return name.replace(/(\d+)/, function(fullMatch, n) {
                return jQuery("textarea[role='comment-text']").length + 1;
            });

        });
        field.insertAfter(fieldLocation, jQuery(this).closest('td'))
        return false;
    });


    jQuery(document).on("click",".rcomment-remove",function(e) { 
        jQuery(this).parent().remove();
        return false;
    });
         

    if(jQuery(".agentslist").length){
        
        jQuery(document).on("click",".agentslist",function(e) { 
            var val = jQuery(this).attr("value");
            if(jQuery(this).is(':checked')){
                jQuery(".adminslist.admin-"+val).removeAttr("disabled");
                //console.log("checked"+val);
            } else {
                jQuery(".adminslist.admin-"+val).attr("disabled", true);
                //console.log("unchecked"+val);
            }
        });


    }

    // settings api
    var assign = "input[name='assign_agent_settings[assign_to_one_from_multiple]']";
    if(jQuery(assign).length){

        //console.log("yes");    

        var sel = jQuery(""+assign+":checked").val();
        tps_show_hide_selected_row(sel);

        jQuery(document).on("click",assign,function(e) { 
            //console.log("yes");    
            var sel = jQuery(""+assign+":checked").val();
            tps_show_hide_selected_row(sel);
        });

        function tps_show_hide_selected_row(sel){
            var rows = ["assign_to_agents","assign_to_agentadmins","assign_to_groups","assign_to_group_admins","assign_to_group_agents","assign_by_topic"];
            /*rows.forEach(function(item) {
                console.log("row: "+item);
            });*/

            //var elem = "select";
            if(sel == "assign_by_topic"){
                //var elem = "table";

                jQuery("#table_assign_agent_settings_assign_by_topic").closest('tr').removeClass("hidden");

            } else {

                //console.log("sel: "+sel);
                //show selected row
                //jQuery(""+assign+":checked").closest('tr').removeClass("hidden");
                jQuery("select[id='assign_agent_settings["+sel+"]']").closest('tr').removeClass("hidden");

            }

            // hide other rows            
            var hiderows = rows.filter(function(elem){
               return elem != sel; 
            });

            hiderows.forEach(function(item) {
               
                if(item == "assign_by_topic"){
                    //var elem = "table";
                    //console.log("table in loop");
                    jQuery("#table_assign_agent_settings_assign_by_topic").closest('tr').addClass("hidden");

                } else {

                    jQuery("select[id='assign_agent_settings["+item+"]']").closest('tr').addClass("hidden");
                }
            });


        }

    }    

    
});
