<?php

    //Plugin Activation Code
    function tpsupport_activation(){
       
        add_role( 'client', 'Client', array( 'read' => true, 'level_0' => true ) );
        add_role( 'agent', 'Agent', array( 'read' => true, 'level_0' => true ) );
        add_role( 'agentadmin', 'Agent Admin', array( 'read' => true, 'level_0' => true ) );
        add_option( 'assign_agent_in_loop', '');

        $Front_Form = new Front_Form();
        $Front_Form_Settings = new Front_Form_Settings();

        $setting_fields = $Front_Form_Settings->tps_get_settings_fields();
        foreach ($setting_fields as $section => $fields_arr) {
    
            $defaults = $Front_Form->tps_settings_defaults($section);
            $existing_settings = (array) get_option( $section, $Front_Form->tps_settings_defaults($section) );
            update_option( $section, array_merge( $defaults, (array) $existing_settings ) );

        }

    }


    //Plugin Deactivation Code
    function tpsupport_deactivation(){
    	
    }

?>