<div id="tpsLoginSection" class="container-fluid">
    <div class="row">
        <div class="col-xs-8 col-md-10"> 
            <?php
            
            $Front_Form = new Front_Form();
            $settings = $Front_Form->settings; 
            //print_r($settings); die;

            // check if the user already login
            if (!is_user_logged_in()) :
                
                $form_heading = __("Login","tpsupport");
                $submit_button_text = __("Login","tpsupport");
                $forgotpassword_button_text = __('Forgot Password','tpsupport');
                $is_url_has_token = ""; 
                if(isset($_GET['tps_reset_password_token'])){
                    $is_url_has_token = $_GET['tps_reset_password_token'];
                }
                ?>
                <form name="tpsLoginForm" id="tpsLoginForm" method="post" class="tps-form <?php echo empty($is_url_has_token) ? '' : 'hidden' ?>">
                    
                    <h3><?php _e($form_heading, "tpsupport"); ?></h3>
                    <div id="tps-login-loader-info" class="tps-loader" style="display:none;">
                        <img src="<?php echo plugins_url('../images/ajax-loader.gif', dirname(__FILE__)); ?>"/>
                        <span><?php _e('Please wait ...', "tpsupport"); ?></span>
                    </div>
                    <div id="tps-login-alert" class="alert alert-danger" role="alert" style="display:none;"></div>

                    <div class="form-group">
                        <label for="username"><?php _e('Username', "tpsupport"); ?></label>
                        <input type="text" class="form-control" name="tps_username" id="tps_username" placeholder="Username">
                    </div>
                    <div class="form-group">
                        <label for="password"><?php _e('Password', "tpsupport"); ?></label>
                        <input type="password" class="form-control" name="tps_password" id="tps_password" placeholder="Password" >
                    </div>
                    <?php
                    $login_redirect = (empty($settings['tps_login_redirect']) || $settings['tps_login_redirect'] == 'same') ? '' : $settings['tps_login_redirect'];

                    $redirect_to = "";

                    if($login_redirect == "home"){
                        $redirect_to = get_home_url();
                    } else {
                        $redirect_to = get_permalink($login_redirect);
                    }

                    ?>
                    <input type="hidden" name="redirection_url" id="redirection_url" value="<?php echo $redirect_to; ?>" />

                    <?php
                    // this prevent automated script for unwanted spam
                    if (function_exists('wp_nonce_field'))
                        wp_nonce_field('tps_login_action', 'tps_login_nonce');

                    ?>
                    <button type="submit" class="btn btn-primary"><?php _e($submit_button_text, "tpsupport"); ?></button>
                    <?php
                        //render forgot password button
                        if($settings['tps_enable_forgot_password'] == "on"){                            
                    ?>
                    <button id="btnForgotPassword" type="button" class="btn btn-primary"><?php _e($forgotpassword_button_text, "tpsupport"); ?></button>
                    <?php
                        }
                    ?>
                </form>
                <?php
                    //render the reset password form
                    if($settings['tps_enable_forgot_password'] == "on"){
                        do_shortcode('[tps_resetpassword_form]');
                    }
                ?>
            
                <?php
            else:
                $current_user = wp_get_current_user();
                $logout_redirect = (empty($settings['tps_logout_redirect']) || $settings['tps_logout_redirect'] == 'same') ? '' : $settings['tps_logout_redirect'];
                //echo $logout_redirect;

                $redirect_to = "";

                if($logout_redirect == "home"){
                    $redirect_to = get_home_url();
                } else {
                    $redirect_to = get_permalink($logout_redirect);
                }

                echo 'Logged in as <strong>' . ucfirst($current_user->user_login) . '</strong>. <a href="' . wp_logout_url($redirect_to) . '">Logout?</a>';

            endif;

            ?>
        </div>
    </div>
</div>
