<div id="tpsRegisterSection" class="container-fluid">
    <div class="row">
        <div class="col-xs-8 col-md-10"> 
            <?php

            $Front_Form = new Front_Form();
            $settings = $Front_Form->settings; 

            $form_heading = __("Register","tpsupport");

            // check if the user already login
            if (!is_user_logged_in()) :
                //echo "|".$token_verification."|";
                ?>

                <form name="tpsRegisterForm" id="tpsRegisterForm" method="post" class="validate tps-form">
                    <h3><?php _e($form_heading, "tpsupport"); ?></h3>

                    <div id="tps-reg-loader-info" class="tps-loader" style="display:none;">
                        <img src="<?php echo plugins_url('../images/ajax-loader.gif', dirname(__FILE__)); ?>"/>
                        <span><?php _e('Please wait ...', "tpsupport"); ?></span>
                    </div>
                    <div id="tps-register-alert" class="alert alert-danger" role="alert" style="display:none;"></div>
                    <div id="tps-mail-alert" class="alert alert-danger" role="alert" style="display:none;"></div>
                    <?php if ($token_verification): ?>
                        <div class="alert alert-info" role="alert"><?php _e('Your account has been activated, you can login now.', "tpsupport"); ?></div>
                    <?php endif; ?>
                    <div class="form-group">
                        <label for="tps_fname"><?php _e('First name', "tpsupport"); ?></label>
                        <sup class="tps-required-asterisk">*</sup>
                        <input type="text" class="form-control required" name="tps_fname" id="tps_fname" placeholder="First name">
                    </div>
                    <div class="form-group">
                        <label for="tps_lname"><?php _e('Last name', "tpsupport"); ?></label>
                        <input type="text" class="form-control" name="tps_lname" id="tps_lname" placeholder="Last name">
                    </div>
                    <div class="form-group">
                        <label for="tps_username"><?php _e('Username', "tpsupport"); ?></label>
                        <sup class="tps-required-asterisk">*</sup>
                        <input type="text" class="form-control" name="tps_username" id="tps_username" placeholder="Username">
                    </div>
                    <div class="form-group">
                        <label for="tps_email"><?php _e('Email', "tpsupport"); ?></label>
                        <sup class="tps-required-asterisk">*</sup>
                        <input type="text" class="form-control" name="tps_email" id="tps_email" placeholder="Email">
                    </div>
                    <div class="form-group">
                        <label for="tps_password"><?php _e('Password', "tpsupport"); ?></label>
                        <sup class="tps-required-asterisk">*</sup>
                        <input type="password" class="form-control" name="tps_password" id="tps_password" placeholder="Password" >
                    </div>
                    <div class="form-group">
                        <label for="tps_password2"><?php _e('Confirm Password', "tpsupport"); ?></label>
                        <sup class="tps-required-asterisk">*</sup>
                        <input type="password" class="form-control" name="tps_password2" id="tps_password2" placeholder="Confirm Password" >
                    </div>

                    <?php if ($settings['tps_enable_captcha_register'] == 'on') { 

                        $no1 = mt_rand(10,100);
                        $no2 = mt_rand(10,100);
                        $captcha_title = "".$no1." + ".$no2." = ?";
                        $captcha_ans = $no1+$no2;
                    ?>
                        <div class="form-group">
                            <label for="tps_captcha" class="control-label" id="captchaOperation"><?php echo $captcha_title?> <sup>*</sup></label>

                            <input type="text" placeholder="Answer" class="form-control required" id="tps_captcha" name="tps_captcha" data-ans="<?php echo $captcha_ans; ?>" />

                        </div>
                    <?php } ?>

                    <input type="hidden" name="tps_userrole" id="tps_userrole" value="<?php echo $role; ?>" />
                    <input type="hidden" name="tps_current_url" id="tps_current_url" value="<?php echo get_permalink(); ?>" />
                    <input type="hidden" name="redirection_url" id="redirection_url" value="<?php echo get_permalink(); ?>" />

                    <?php
                    // this prevent automated script for unwanted spam
                    if (function_exists('wp_nonce_field'))
                        wp_nonce_field('tps_register_action', 'tps_register_nonce');

                    ?>
                    <button type="submit" class="btn btn-primary">
                        <?php
                        echo __('Register', "tpsupport");

                        ?></button>
                </form>
                <?php
            else:
                $current_user = wp_get_current_user();
                $logout_redirect = (empty($settings['tps_logout_redirect']) || $settings['tps_logout_redirect'] == 'same') ? '' : $settings['tps_logout_redirect'];

                $redirect_to = "";

                if($logout_redirect == "home"){
                    $redirect_to = get_home_url();
                } else {
                    $redirect_to = get_permalink($logout_redirect);
                }

                echo 'Logged in as <strong>' . ucfirst($current_user->user_login) . '</strong>. <a href="' . wp_logout_url($redirect_to) . '">Logout?</a>';
            endif;

            ?>
        </div>
    </div>
</div>
