<?php 
                $is_url_has_token = ""; 
                if(isset($_GET['tps_reset_password_token'])){
                    $is_url_has_token = $_GET['tps_reset_password_token'];
                }
?>
<div id="tpsResetPasswordSection" class="container-fluid <?php echo empty($is_url_has_token) ? ' hidden' : 'ds' ?>">
    <div class="row">
        <div class="col-xs-8 col-md-10"> 
            <?php

            $Front_Form = new Front_Form();
            $settings = $Front_Form->settings; 

            $resetpassword_form_heading = __('Reset Password','tpsupport');

            $resetpassword_button_text = __('Reset Password','tpsupport'); 
            $returntologin_button_text = __('Return to Login','tpsupport');           

            ?>
            <h3><?php _e($resetpassword_form_heading, "tpsupport"); ?></h3>

            <div id="tps-resetpassword-loader-info" class="tps-loader" style="display:none;">
                <img src="<?php echo plugins_url('../images/ajax-loader.gif', dirname(__FILE__)); ?>"/>
                <span><?php _e('Please wait ...', "tpsupport"); ?></span>
            </div>
            <div id="tps-resetpassword-alert" class="alert alert-danger" role="alert" style="display:none;"></div>

            <form name="tpsResetPasswordForm" id="tpsResetPasswordForm" method="post" class="tps-form">
                <?php
                // check if the url has token
                if (!$is_url_has_token) :

                    ?>
                    <div class="form-group">
                        <label for="email"><?php _e('Email', "tpsupport"); ?></label>
                        <input type="text" class="form-control" name="tps_rp_email" id="tps_rp_email" placeholder="Email">
                    </div>
                    <input type="hidden" name="tps_current_url" id="tps_current_url" value="<?php echo get_permalink(); ?>" />
                    <?php
                else:

                    ?>
                    <div class="form-group">
                        <label for="newpassword"><?php _e('New password', "tpsupport"); ?></label>
                        <input type="password" class="form-control" name="tps_newpassword" id="tps_newpassword" placeholder="New Password">
                    </div>
                    <input type="hidden" name="tps_rp_email" id="tps_rp_email" value="<?php echo $_GET['email'] ?>" />
                    <input type="hidden" name="tps_reset_password_token" id="tps_reset_password_token" value="<?php echo $_GET['tps_reset_password_token']; ?>" />

                <?php
                endif;

                ?>
                <?php
                // this prevent automated script for unwanted spam
                if (function_exists('wp_nonce_field'))
                    wp_nonce_field('tps_resetpassword_action', 'tps_resetpassword_nonce');

                ?>
                <button type="submit" class="btn btn-primary"><?php _e($resetpassword_button_text, "tpsupport"); ?></button>
                <button type="button" id="btnReturnToLogin" class="btn btn-primary"><?php _e($returntologin_button_text, "tpsupport"); ?></button>

            </form>

        </div>
    </div>
</div>