jQuery(document).ready(function($) {


        jQuery.validator.addMethod("captcha", function(value, element) {
            //console.log(value+":"+element);
            //console.log(element);
            var ans = $("#tps_captcha").attr("data-ans");
            //console.log(ans);
            if(ans == value){
                return true;
            } return false;
        }, "* Please enter correct captcha value");

        jQuery.validator.addMethod("tinyeditor", function(value, element) {

            if ($("#wp-ug_content-wrap").hasClass("tmce-active")){
                    var content = tinyMCE.activeEditor.getContent();
                }else{
                    var content = $('#ug_content').val();
                }

            //console.log(content);
            if(content.length > 15){
                return true;
            }
            return false;
            
        }, "* Please fill in the description. Minimun 15 Characters.");



  $( "#tps-form-newticket" ).validate({
      rules: {
        post_category: {
            min: 1,
          required: true
        },
        post_dispname: {
          required: true,
        },
        post_email: {
          required: true,
          email: true,
        },
        post_title: {
          required: true,
        },
        post_content_field: {
          required: true,
          tinyeditor: true,
        },
        tps_captcha: {
          captcha: true,
          required: true,
        },        
      },
      messages: {
                
                post_category: "* Please select topic",
                post_email: "* Please enter valid email address",
                post_dispname: "* Please enter your name",
                post_title: "* Please enter a title",
                post_content_field: "* Please fill in the description. Minimun 15 Characters.",
                tps_captcha: "* Please enter proper captcha value",
            }
    });



  $( "#tps-form-comment" ).validate({
      rules: {
        post_content_field: {
          required: true,
          tinyeditor: true,
        },
        tps_captcha: {
          captcha: true,
          required: true,
        },        
      },
      messages: {
                
                post_content_field: "* Please fill in the description. Minimun 15 Characters.",
                tps_captcha: "* Please enter proper captcha value",
            }
    });

  $( "#tps-form-feedback" ).validate({
      rules: {
        feedback_rate: {
          required: true,
        },
        tps_captcha: {
          captcha: true,
          required: true,
        },        
      },
      messages: {
                
                feedback_rate: "* Please select your rating",
                tps_captcha: "* Please enter proper captcha value",
            }
    });


});
