<?php

add_action('init', 'tps_enqueue_files', 0);
add_action('admin_init', 'tps_admin_enqueue_files', 0);

function tps_enqueue_files(){

	add_action('wp_enqueue_scripts', 'tps_enqueue_styles');
	add_action('wp_enqueue_scripts', 'tps_enqueue_scripts');
}

function tps_enqueue_styles()
    {

		$url = plugins_url('/', __FILE__).'../css/tps-user-module.css';
        wp_deregister_style('tpspublic');
        wp_register_style('tpspublic', $url);
        wp_enqueue_style('tpspublic');

          }

function tps_enqueue_scripts()
    {


        wp_enqueue_script( 'jquery-validate', plugins_url('/', __FILE__).'../js/validate/jquery.validate.min.js', array( 'jquery') );
        wp_enqueue_script( 'jquery-validate-additional', plugins_url('/', __FILE__).'../js/validate/additional-methods.min.js', array( 'jquery') );

        // front form script
        $url = plugins_url('/', __FILE__).'../js/tps-main.js';
        wp_deregister_script('tps-main-js');
        wp_register_script('tps-main-js', $url);
        wp_enqueue_script('tps-main-js','jquery');

        // user login and registration script
        $url = plugins_url('/', __FILE__).'../js/tps-user-module.js';
        wp_deregister_script('tps-scripts-js');
        wp_register_script('tps-scripts-js', $url);
        wp_enqueue_script('tps-scripts-js','jquery');

        $url = plugins_url('/', __FILE__).'../js/validator/formValidation.min.js';
        wp_deregister_script('tps-scripts-form');
        wp_register_script('tps-scripts-form', $url);
        wp_enqueue_script('tps-scripts-form','jquery');

        $url = plugins_url('/', __FILE__).'../js/validator/bootstrap-validator.min.js';
        wp_deregister_script('tps-scripts-bsv');
        wp_register_script('tps-scripts-bsv', $url);
        wp_enqueue_script('tps-scripts-bsv','jquery');

        // localizing gloabl js objects
        wp_localize_script('tps-scripts-js', 'ajax_object', array('ajax_url' => admin_url('admin-ajax.php')));
    }    

function tps_admin_enqueue_files(){

    add_action('admin_enqueue_scripts', 'tps_admin_enqueue_styles');
    add_action('admin_enqueue_scripts', 'tps_admin_enqueue_scripts');
}

function tps_admin_enqueue_styles(){
       

        $url = plugins_url('/', __FILE__).'../css/tps-common-admin.css';
        wp_deregister_style('tpsadmin-public');
        wp_register_style('tpsadmin-public', $url);
        wp_enqueue_style('tpsadmin-public');
}

function tps_admin_enqueue_scripts(){

}

/* Commonly used functions */
function tps_generic_placeholder_replacer($source,$placeholders){
        return strtr($source, $placeholders);
    }


?>