<?php
//[tps-auto-close-tickets]

class TPS_Faq_Module {
	
	function __construct() {
		// Init
		add_action( 'init', array( $this, 'tps_faq_module_init' ) );
	}
	
	function tps_faq_module_init() {

		// Currently supported shortcodes
		add_shortcode( 'tps-faq-module', array( $this, 'tps_faq_module' ) );


	}


	function tps_faq_module( $atts, $content = null ){
		

		extract( shortcode_atts( array(
			
				), $atts ) );

		// Find all tickets with status solved

		$loop = new WP_Query(array(
				'fields' => 'ids',
				'post_type' => 'tpsfaq', 
				'posts_per_page' => -1,
				/*'meta_query'     => array(
				    array(
				      'key'    => 'tps_status', 
					  'value'  => 'solved',
				    ) 
				  ),*/
				)
			);

		$Front_Form = new Front_Form();
		$settings = $Front_Form->settings; 
	    $time = $Front_Form->tps_get_current_time('ts');     
		$faq_arr = array();
		$faq_cat = array();

		if(isset($loop)){
		    if ( $loop->have_posts() ){

	        while ( $loop->have_posts() ) : 

	        	$loop->the_post();

	        	$action = array();
	        	$faqid = get_the_ID();
	        	$faqtit = get_the_title();
	        	$post   = get_post($faqid);

				$terms = wp_get_post_terms( $faqid, "tpsfaqcat",array("fields" => "ids"));
	        
	        	$faq_cat[$terms[0]][] = $faqid;
				$faq_arr[$faqid]['title'] = $faqtit;


			endwhile;


			if(sizeof($faq_cat)){

				$faq_details_pageid = $settings['tps_page_faq_detail'];

				foreach ($faq_cat as $key => $faqids) {
					if(sizeof($faqids)){
						$cat_tit = get_term_by( 'id', $key, 'tpsfaqcat');
						//print_r($cat_tit); 
						echo "<h2 class='faq_cat widget-title'>".$cat_tit->name."</h2>";
						foreach ($faqids as $id) {
							$faq_url = esc_url( add_query_arg( 'faqid', $id, get_page_link($faq_details_pageid)) );
							echo "<h3 class='faq_list_tit entry-title'> <span class='faq_bullet'>&rarr;</span> <a href='".$faq_url."'>".$faq_arr[$id]['title']."</a></h3>";
						}
					}

				}

			}

		    } else {
				echo __("No FAQ found.","tpsupport");
			}
		}

	}


}

$GLOBALS['tps_faq_module'] = new TPS_Faq_Module;

?>